%define	cvstag	PACKAGE_3_00_1

%define	type			engarde
%define	POLICYDIR		%{_sysconfdir}/selinux/%{type}
%define	POLICYSRCDIR		%{_sysconfdir}/selinux/%{type}/src/policy
%define	POLICYVER		19

Summary:	The EnGarde Secure Linux Security Policy
Group:		System Environment/Base
Name:		engarde-policy
Version:	3.00
Release:	1
License:	GPL
Source0:	security-policy-%{cvstag}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
BuildRequires:	checkpolicy m4 policycoreutils python python-tools
PreReq:		kernel policycoreutils libselinux
Obsoletes:	policy

%description
This package contains the SELinux security policy for EnGarde Secure
Linux.

%files 
  %defattr(-,root,root)
  %dir %{_sysconfdir}/selinux

  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/selinux/config

  %attr(0644,root,root)		%config %{POLICYDIR}/booleans

  %attr(0751,root,admin)	%dir %{POLICYDIR}/contexts
  %attr(0644,root,root)		%config %{POLICYDIR}/contexts/default_contexts
  %attr(0644,root,root)		%config(noreplace) %{POLICYDIR}/contexts/dbus_contexts
  %attr(0644,root,root)		%config(noreplace) %{POLICYDIR}/contexts/default_type
  %attr(0644,root,root)		%config(noreplace) %{POLICYDIR}/contexts/failsafe_context
  %attr(0644,root,root)		%config(noreplace) %{POLICYDIR}/contexts/initrc_context
  %attr(0644,root,root)		%config(noreplace) %{POLICYDIR}/contexts/removable_context
  %attr(0644,root,root)		%config(noreplace) %{POLICYDIR}/contexts/userhelper_context
  %attr(0644,root,root)		%{POLICYDIR}/contexts/customizable_types

  %attr(0751,root,admin)	%dir %{POLICYDIR}/contexts/files
  %attr(0644,root,root)		%config %{POLICYDIR}/contexts/files/file_contexts
  %attr(0644,root,root)		%config %{POLICYDIR}/contexts/files/homedir_template
  %attr(0644,root,root)		%config(noreplace) %{POLICYDIR}/contexts/files/media

  %attr(0700,root,root)		%dir %{POLICYDIR}/policy
  %attr(0600,root,root)		%{POLICYDIR}/policy/policy.%{POLICYVER}

  %attr(0751,root,admin)	%dir %{POLICYDIR}/users
  %attr(0644,root,admin)	%config %{POLICYDIR}/users/system.users
  %attr(0644,root,admin)	%config(noreplace) %{POLICYDIR}/users/local.users

%package sources
Summary:	SELinux example policy configuration source files 
Group:		System Environment/Base
PreReq:		m4 make checkpolicy policycoreutils kernel
PreReq:		engarde-policy = %{version}-%{release}
BuildRequires:	checkpolicy policycoreutils
Obsoletes:	policy-sources selinux-policy-sources

%description sources
This subpackage includes the source files used to build the policy
configuration.  Includes policy.conf and the Makefiles, macros and
source files for it.

%files sources
  %defattr(0600,root,root,0700)

  %attr(0640,root,admin)	%{POLICYSRCDIR}/Makefile
  %attr(0640,root,admin)	%{POLICYSRCDIR}/VERSION

  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/config
  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/config/appconfig-*
  %attr(0640,root,admin)	%dir %{POLICYSRCDIR}/config/appconfig-*/*
  %attr(0640,root,admin)	%dir %{POLICYSRCDIR}/config/local.users

  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/doc
  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/doc/templates
  %attr(0640,root,admin)	%dir %{POLICYSRCDIR}/doc/policy.*
  %attr(0640,root,admin)	%dir %{POLICYSRCDIR}/doc/templates/*.css
  %attr(0640,root,admin)	%dir %{POLICYSRCDIR}/doc/templates/*.html

  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/policy
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/constraints
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/global_tunables
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/mls
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules.conf
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules.conf.targeted_example
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/tunables.conf
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/users

  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/policy/flask
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/flask/Makefile
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/flask/access_vectors
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/flask/initial_sids
  %attr(0750,root,admin)	%{POLICYSRCDIR}/policy/flask/mkaccess_vector.sh
  %attr(0750,root,admin)	%{POLICYSRCDIR}/policy/flask/mkflask.sh
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/flask/security_classes

  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/policy/modules
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules/*/*.fc
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules/*/*.if
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules/*/*.in
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules/*/*.m4
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules/*/*.te
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/modules/*/*.xml

  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/policy/support
  %attr(0640,root,admin)	%{POLICYSRCDIR}/policy/support/*.spt

  %attr(0750,root,admin)	%dir %{POLICYSRCDIR}/support
  %attr(0750,root,admin)	%{POLICYSRCDIR}/support/fc_sort
  %attr(0640,root,admin)	%{POLICYSRCDIR}/support/fc_sort.c
  %attr(0750,root,admin)	%{POLICYSRCDIR}/support/pyplate.py
  %attr(0640,root,admin)	%{POLICYSRCDIR}/support/pyplate.pyc
  %attr(0750,root,admin)	%{POLICYSRCDIR}/support/sedoctool.py
  %attr(0750,root,admin)	%{POLICYSRCDIR}/support/segenxml.py
  %attr(0750,root,admin)	%{POLICYSRCDIR}/support/set_tunables

%prep
%setup -q -n security-policy-%{cvstag}

%build
  make conf
  make policy

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make DESTDIR="$RPM_BUILD_ROOT" install
  make clean
  make DESTDIR="$RPM_BUILD_ROOT" install-src

  #
  # Write /etc/selinux/config
  #
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/selinux/config <<EOF
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcing - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - No SELinux policy is loaded.
SELINUX=enforcing
SELINUXTYPE=engarde
EOF

  # Remove unpackaged files.
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/.cvsignore
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/Changelog
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/COPYING
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/INSTALL
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/README.engarde
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/doc/.cvsignore
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/support/.cvsignore
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/policy/.cvsignore
  rm -fv $RPM_BUILD_ROOT/%{POLICYSRCDIR}/policy/modules/kernel/.cvsignore

%pre
  if [ -f %{POLICYDIR}/contexts/files/file_contexts ]; then
    cp -f %{POLICYDIR}/contexts/files/file_contexts{,.pre} || :
  fi

  exit 0

%post
  if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
    . /etc/selinux/config

    if [ "${SELINUXTYPE}" = "%{type}" ]; then
      [ -x /usr/sbin/load_policy ] && /usr/sbin/load_policy %{POLICYDIR}/policy/policy.`cat /selinux/policyvers`
    fi
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.00, Release 1
  - First production-ready version for EnGarde Secure Linux 3.0.
  - Previous changelog entries removed.
